<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterManagerApplicableCondition">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterManagerApplicableCondition.top_of_page">MilterManagerApplicableCondition</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterManagerApplicableCondition</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterManagerApplicableCondition.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>#define             <link linkend="MILTER-MANAGER-APPLICABLE-CONDITION:CAPS">MILTER_MANAGER_APPLICABLE_CONDITION</link> (obj)
                    <link linkend="MilterManagerApplicableCondition">MilterManagerApplicableCondition</link>;
<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> * <link linkend="milter-manager-applicable-condition-new">milter_manager_applicable_condition_new</link>
                                                        (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-applicable-condition-set-name">milter_manager_applicable_condition_set_name</link>
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);
const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *       <link linkend="milter-manager-applicable-condition-get-name">milter_manager_applicable_condition_get_name</link>
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-applicable-condition-set-description">milter_manager_applicable_condition_set_description</link>
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *description);
const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *       <link linkend="milter-manager-applicable-condition-get-description">milter_manager_applicable_condition_get_description</link>
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-applicable-condition-merge">milter_manager_applicable_condition_merge</link>
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition,
                                                         <link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *other_condition);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-manager-applicable-condition-attach-to">milter_manager_applicable_condition_attach_to</link>
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition,
                                                         <link linkend="MilterManagerChild"><returnvalue>MilterManagerChild</returnvalue></link> *child,
                                                         <link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterManagerApplicableCondition.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterManagerApplicableCondition.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MILTER-MANAGER-APPLICABLE-CONDITION:CAPS" role="macro">
<title>MILTER_MANAGER_APPLICABLE_CONDITION()</title>
<indexterm zone="MILTER-MANAGER-APPLICABLE-CONDITION:CAPS"><primary>MILTER_MANAGER_APPLICABLE_CONDITION</primary></indexterm>
<programlisting>#define MILTER_MANAGER_APPLICABLE_CONDITION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), MILTER_TYPE_MANAGER_APPLICABLE_CONDITION, MilterManagerApplicableCondition))
</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>obj</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="MilterManagerApplicableCondition" role="struct">
<title>MilterManagerApplicableCondition</title>
<indexterm zone="MilterManagerApplicableCondition"><primary>MilterManagerApplicableCondition</primary></indexterm>
<programlisting>typedef struct {
    GObject object;
} MilterManagerApplicableCondition;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-manager-applicable-condition-new" role="function">
<title>milter_manager_applicable_condition_new ()</title>
<indexterm zone="milter-manager-applicable-condition-new"><primary>milter_manager_applicable_condition_new</primary></indexterm>
<programlisting><link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> * milter_manager_applicable_condition_new
                                                        (const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-applicable-condition-set-name" role="function">
<title>milter_manager_applicable_condition_set_name ()</title>
<indexterm zone="milter-manager-applicable-condition-set-name"><primary>milter_manager_applicable_condition_set_name</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_applicable_condition_set_name
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *name);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>condition</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>name</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-applicable-condition-get-name" role="function">
<title>milter_manager_applicable_condition_get_name ()</title>
<indexterm zone="milter-manager-applicable-condition-get-name"><primary>milter_manager_applicable_condition_get_name</primary></indexterm>
<programlisting>const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *       milter_manager_applicable_condition_get_name
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>condition</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-applicable-condition-set-description" role="function">
<title>milter_manager_applicable_condition_set_description ()</title>
<indexterm zone="milter-manager-applicable-condition-set-description"><primary>milter_manager_applicable_condition_set_description</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_applicable_condition_set_description
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *description);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>condition</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>description</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-applicable-condition-get-description" role="function">
<title>milter_manager_applicable_condition_get_description ()</title>
<indexterm zone="milter-manager-applicable-condition-get-description"><primary>milter_manager_applicable_condition_get_description</primary></indexterm>
<programlisting>const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *       milter_manager_applicable_condition_get_description
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>condition</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-applicable-condition-merge" role="function">
<title>milter_manager_applicable_condition_merge ()</title>
<indexterm zone="milter-manager-applicable-condition-merge"><primary>milter_manager_applicable_condition_merge</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_applicable_condition_merge
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition,
                                                         <link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *other_condition);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>condition</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>other_condition</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-manager-applicable-condition-attach-to" role="function">
<title>milter_manager_applicable_condition_attach_to ()</title>
<indexterm zone="milter-manager-applicable-condition-attach-to"><primary>milter_manager_applicable_condition_attach_to</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_manager_applicable_condition_attach_to
                                                        (<link linkend="MilterManagerApplicableCondition"><returnvalue>MilterManagerApplicableCondition</returnvalue></link> *condition,
                                                         <link linkend="MilterManagerChild"><returnvalue>MilterManagerChild</returnvalue></link> *child,
                                                         <link linkend="MilterManagerChildren"><returnvalue>MilterManagerChildren</returnvalue></link> *children);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>condition</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>child</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>children</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
